function graphic(nelem,nnodo,coord,corda,conec)

sigmax=30;
E=1000;    

fprintf('\n---Esfuerzos en los elementos---\n\n') 

k=1;
for ielem=1:nelem
    xini(ielem)=coord(conec(ielem,k),1);
    yini(ielem)=coord(conec(ielem,k),2);
    xinia(ielem)=corda(conec(ielem,k),1);
    yinia(ielem)=corda(conec(ielem,k),2);
    k=k+1;
    if k>nnodo
      k=1;
    end
    xfin(ielem)=coord(conec(ielem,k),1);
    yfin(ielem)=coord(conec(ielem,k),2);
    xfina(ielem)=corda(conec(ielem,k),1);
    yfina(ielem)=corda(conec(ielem,k),2);
    lelem = long_elem(xini(ielem),yini(ielem),xfin(ielem),yfin(ielem)) ;
    ledef = long_elem(xinia(ielem),yinia(ielem),xfina(ielem),yfina(ielem)) ;
    sigxx=E*(ledef-lelem)/lelem ;

  fprintf (' Elemento: %3i \t Esfuerzo axial = %7.3f \n',ielem, sigxx); 
    
    
    %if abs(sigxx)>=sigmax        
    if sigxx<=0.0                
    plot([xinia(ielem);xfina(ielem)],[yinia(ielem);yfina(ielem)],'r-')
%       format='ro-'
    text((xinia(ielem)+xfina(ielem))/2 , (yinia(ielem)+yfina(ielem))/2, ...
        [num2str(sigxx)],'HorizontalAlignment','center','BackgroundColor','red')
   % legend('Elemento %2i',ielem);
    %fprintf ('\n for iteration %3i \t Error = %12.3e (dtheta/dt = %7.2f): ',iter, Error, dtheta_dt0);
    else
    plot([xinia(ielem);xfina(ielem)],[yinia(ielem);yfina(ielem)],'g-')
    text((xinia(ielem)+xfina(ielem))/2 , (yinia(ielem)+yfina(ielem))/2,[num2str(sigxx)]...
        ,'HorizontalAlignment','center','BackgroundColor','green')
%       format='go-'
    end    
end
