function [KGlob] = Ensamblaje(npoin,nnodo,ndime,nelem,coord,conec)

KGlob= zeros(ndime*npoin,ndime*npoin);
for ielem=1:nelem
 lelem= long_elem(coord(conec(ielem,1),1),coord(conec(ielem,1),2), coord(conec(ielem,2),1), coord(conec(ielem,2),2));
 kelem = rigidez_elem(lelem,conec(ielem,3),conec(ielem,4));
 if ielem==1
  kelem=kelem*10;   % (*) solo para el ejemplo del curso
 elseif ielem==2
  kelem=kelem*5;    % (*)
 else
  kelem=kelem*20;   % (*)
 end   
 for inodo=1:nnodo
  nodoi=conec(ielem,inodo);
  for igl=1:ndime
   filag=(nodoi-1)*ndime+igl;
   filae=(inodo-1)*ndime+igl;
   for jnodo=1:nnodo
    nodoj=conec(ielem,jnodo);
    for jgl=1:ndime
     colug=(nodoj-1)*ndime+jgl;
     colue=(jnodo-1)*ndime+jgl;
     KGlob(filag,colug)=KGlob(filag,colug)+kelem(filae,colue);
     end
   end
  end
 end
end

%KGcon=KGlob;

return
